Package org.apache.ignite.internal.processors.cache

## Class IgniteCacheOffheapManagerImpl.ExpiredKeyCacheObject

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.CacheObjectAdapter
  - - org.apache.ignite.internal.processors.cache.KeyCacheObjectImpl
    - - org.apache.ignite.internal.processors.cache.IgniteCacheOffheapManagerImpl.ExpiredKeyCacheObject

All Implemented Interfaces:
  `Externalizable`, `Serializable`, `CacheObject`, `KeyCacheObject`, `Message`

Enclosing class:
  IgniteCacheOffheapManagerImpl

    protected static class IgniteCacheOffheapManagerImpl.ExpiredKeyCacheObject
    extends KeyCacheObjectImpl

This entry key is used to indicate that an expired entry has already been deleted from PendingEntriesTree and doesn't need to participate in PendingEntriesTree cleanup again.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.CacheObjectAdapter

`HEAD_SIZE, val, valBytes`

### Fields inherited from interface org.apache.ignite.internal.processors.cache.CacheObject

`TYPE_BINARY, TYPE_BINARY_ENUM, TYPE_BYTE_ARR, TYPE_REGULAR`

### Fields inherited from interface org.apache.ignite.plugin.extensions.communication.Message

`DIRECT_TYPE_SIZE`

### Constructor Summary

Constructors
`ExpiredKeyCacheObject()`
`ExpiredKeyCacheObject​(KeyCacheObjectImpl keyCacheObj, long expireTime, long link)`

### Method Summary

### Methods inherited from class org.apache.ignite.internal.processors.cache.KeyCacheObjectImpl

`copy, directType, equals, fieldsCount, finishUnmarshal, hashCode, internal, isPlatformType, onAckReceived, partition, partition, prepareForCache, prepareMarshal, readFrom, toString, value, value, valueBytes, writeTo`

### Methods inherited from class org.apache.ignite.internal.processors.cache.CacheObjectAdapter

`cacheObjectType, needCopy, objectPutSize, putValue, putValue, putValue, putValue, putValue, putValue, readExternal, valueBytesFromValue, valueBytesLength, valueFromValueBytes, writeExternal`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.CacheObject

`cacheObjectType, putValue, putValue, putValue, valueBytesLength`

### Constructor Detail

#### ExpiredKeyCacheObject

    public ExpiredKeyCacheObject​(KeyCacheObjectImpl keyCacheObj,
                                 long expireTime,
                                 long link)

#### ExpiredKeyCacheObject

    public ExpiredKeyCacheObject()